LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
List of all members
TempFile Service Reference

This service allows to get access to temp files. More...

`import <TempFile.idl;`

Inheritance diagram for TempFile:

## Additional Inherited Members
Exported Interfaces inherited from XTempFile
interface | XStream
| interface XStream offers read and write access to the same stream.
interface | XSeekable
| interface XSeekable makes it possible to seek to a certain position within a stream.
Public Member Functions inherited from XStream
XInputStream | getInputStream ()
XOutputStream | getOutputStream ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XSeekable
void | seek ([in] hyper location) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::io::IOException )
| changes the seek pointer to a new location relative to the beginning of the stream.
hyper | getPosition () raises ( com::sun::star::io::IOException )
| returns the current offset of the stream.
hyper | getLength () raises ( com::sun::star::io::IOException )
| returns the length of the stream.
Public Attributes inherited from XTempFile
boolean | RemoveFile
| This attribute controls whether the file will be automatically removed on object destruction.
string | Uri
| This attribute specifies the URL of the temp file.
string | ResourceName
| This attribute specifies the temp file name.

## Detailed Description

This service allows to get access to temp files.

The documentation for this service was generated from the following file:

- com/sun/star/io/TempFile.idl